Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class AdvancedSettings

    java.lang.Object
      com.enterprisedt.net.ftp.AdvancedSettings

Direct Known Subclasses:
  AdvancedFTPSettings

    public class AdvancedSettings

extends java.lang.Object

Holds advanced configuration options not likely to be used for basic FTP operations. These options must be set prior to establishing connections, otherwise they have no effect until a new connection is made.

Version:
  $Revision: 1.2 $
Author:
  Bruce Blackshaw

Field Summary
`protected ConnectionContext` | `context`

Constructor Summary
`protected` | `AdvancedSettings(ConnectionContext context)` Constructor

Method Summary
`java.lang.String` | `getControlEncoding()` Get the encoding used for the control channel
`boolean` | `getListenOnAllInterfaces()` Are we listening on all interfaces in active mode, which is the default?
`int` | `getTransferBufferSize()` Get the size of the data buffers used in reading and writing to the server
`int` | `getTransferNotifyInterval()` Get the interval used for progress notification of transfers.
`boolean` | `isAutoLogin()` Determine if auto login is switched on
`boolean` | `isDeleteOnFailure()` If true, delete partially written files when exceptions are thrown during a download
`void` | `setAutoLogin(boolean autoLogin)` Set the autoLogin flag
`void` | `setControlEncoding(java.lang.String controlEncoding)` Set the control channel encoding.
`void` | `setDeleteOnFailure(boolean deleteOnFailure)` Switch on or off the automatic deletion of partially written files that are left when an exception is thrown during a download
`void` | `setListenOnAllInterfaces(boolean listenOnAll)` Listen on all interfaces for active mode transfers (the default).
`void` | `setTransferBufferSize(int size)` Set the size of the data buffers used in reading and writing to the server
`void` | `setTransferNotifyInterval(int notifyInterval)` Set the interval used for progress notification of transfers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected ConnectionContext context

Constructor Detail

### AdvancedSettings

    protected AdvancedSettings(ConnectionContext context)

  Constructor

  Parameters:
    `context` - context that settings are kept in

Method Detail

### isAutoLogin

    public boolean isAutoLogin()

  Determine if auto login is switched on

  Returns:
    true if auto login

### setAutoLogin

    public void setAutoLogin(boolean autoLogin)

  Set the autoLogin flag

  Parameters:
    `autoLogin` - true if logging in automatically

### setListenOnAllInterfaces

    public void setListenOnAllInterfaces(boolean listenOnAll)

  Listen on all interfaces for active mode transfers (the default).

  Parameters:
    `listenOnAll` - true if listen on all interfaces, false to listen on the control interface

### getListenOnAllInterfaces

    public boolean getListenOnAllInterfaces()

  Are we listening on all interfaces in active mode, which is the default?

  Returns:
    true if listening on all interfaces, false if listening just on the control interface

### isDeleteOnFailure

    public boolean isDeleteOnFailure()

  If true, delete partially written files when exceptions are thrown during a download

  Returns:
    true if delete local file on error

### setDeleteOnFailure

    public void setDeleteOnFailure(boolean deleteOnFailure)

  Switch on or off the automatic deletion of partially written files that are left when an exception is thrown during a download

  Parameters:
    `deleteOnFailure` - true if delete when a failure occurs

### getControlEncoding

    public java.lang.String getControlEncoding()

  Get the encoding used for the control channel

  Returns:
    Returns the current controlEncoding.

### setControlEncoding

    public void setControlEncoding(java.lang.String controlEncoding)

  Set the control channel encoding.

  Parameters:
    `controlEncoding` - The controlEncoding to set, which is the name of a Charset

### setTransferBufferSize

    public void setTransferBufferSize(int size)

  Set the size of the data buffers used in reading and writing to the server

  Parameters:
    `size` - new size of buffer in bytes

### getTransferBufferSize

    public int getTransferBufferSize()

  Get the size of the data buffers used in reading and writing to the server

  Returns:
    transfer buffer size

### getTransferNotifyInterval

    public int getTransferNotifyInterval()

  Get the interval used for progress notification of transfers.

  Returns:
    number of bytes between each notification.

### setTransferNotifyInterval

    public void setTransferNotifyInterval(int notifyInterval)

  Set the interval used for progress notification of transfers.

  Parameters:
    `notifyInterval` - number of bytes between each notification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.